Bug 632385 - Reported UUID from 'gfs2_edit -p sb' should be lower-case
Summary: Reported UUID from 'gfs2_edit -p sb' should be lower-case
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: cluster
Version: 13
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Robert Peterson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-09 19:49 UTC by Madison Kelly
Modified: 2010-12-13 17:17 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-13 17:03:03 UTC
Type: ---


Attachments (Terms of Use)

Description Madison Kelly 2010-09-09 19:49:35 UTC
Description of problem:

According to RFC4122 (http://www.ietf.org/rfc/rfc4122.txt), the UUID should be reported in lower case. This has practical implication when you 'sed' the output in order to feed it into a program that is also not following RFC4122 by lower-casing the input.

Version-Release number of selected component (if applicable):

gfs2-utils-3.0.14-1.fc13.x86_64

How reproducible:

100%

Steps to Reproduce:
1. gfs2_edit -p sb /dev/drbd_vg0/xen_store | grep sb_uuid | sed -e "s/.*sb_uuid  *//"
  
Actual results:

Run:

findfs UUID=`gfs2_edit -p sb /dev/drbd_vg0/xen_store | grep sb_uuid | sed -e "s/.*sb_uuid  *//"`

Returns:

findfs: unable to resolve 'UUID=A1487063-2A3F-43B1-3A36-44936B0B4D1E'

Where as:

findfs UUID=`gfs2_edit -p sb /dev/drbd_vg0/xen_store | grep sb_uuid | sed -e "s/.*sb_uuid  *//" | tr A-Z a-z`

Returns:

/dev/mapper/drbd_vg0-xen_store

Expected results:

Return the UUID in lower-case.

Additional info:

Comment 1 Robert Peterson 2010-09-16 14:19:28 UTC
I pushed the patch for this to the master branch of the gfs2-utils
git tree and the STABLE3 branch of the cluster git tree.
Changing status to POST.

Comment 2 Madison Kelly 2010-12-13 17:17:57 UTC
Thank you. :)


Note You need to log in before you can comment on or make changes to this bug.